diff -ur cvs/pgsql/src/test/regress/GNUmakefile cvs.build/pgsql/src/test/regress/GNUmakefile
--- cvs/pgsql/src/test/regress/GNUmakefile	2006-03-24 08:11:21.000000000 +0100
+++ cvs.build/pgsql/src/test/regress/GNUmakefile	2006-07-15 00:30:33.000000000 +0200
@@ -42,18 +42,26 @@
 
 all: pg_regress
 
-pg_regress: pg_regress.sh GNUmakefile $(top_builddir)/src/Makefile.global
-	sed -e 's,@bindir@,$(bindir),g' \
-	    -e 's,@libdir@,$(libdir),g' \
-	    -e 's,@pkglibdir@,$(pkglibdir),g' \
-	    -e 's,@datadir@,$(datadir),g' \
-	    -e 's/@VERSION@/$(VERSION)/g' \
-	    -e 's/@host_tuple@/$(host_tuple)/g' \
-	    -e 's,@GMAKE@,$(MAKE),g' \
-	    -e 's/@enable_shared@/$(enable_shared)/g' \
-	    -e 's/@GCC@/$(GCC)/g' \
-	  $< >$@
-	chmod a+x $@
+pg_regress: pg_regress.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o pg_regress pg_regress.o \
+		$(top_builddir)/src/backend/utils/mb/wstrncmp.o \
+		$(top_builddir)/src/backend/regex/regexec.o \
+		$(top_builddir)/src/backend/regex/regcomp.o \
+		$(top_builddir)/src/port/dirmod.o \
+		$(top_builddir)/src/port/pgsleep.o
+
+#pg_regress: pg_regress.sh GNUmakefile $(top_builddir)/src/Makefile.global
+#	sed -e 's,@bindir@,$(bindir),g' \
+#	    -e 's,@libdir@,$(libdir),g' \
+#	    -e 's,@pkglibdir@,$(pkglibdir),g' \
+#	    -e 's,@datadir@,$(datadir),g' \
+#	    -e 's/@VERSION@/$(VERSION)/g' \
+#	    -e 's/@host_tuple@/$(host_tuple)/g' \
+#	    -e 's,@GMAKE@,$(MAKE),g' \
+#	    -e 's/@enable_shared@/$(enable_shared)/g' \
+#	    -e 's/@GCC@/$(GCC)/g' \
+#	  $< >$@
+#	chmod a+x $@
 
 install: pg_regress
 	$(INSTALL_SCRIPT) pg_regress '$(DESTDIR)$(pgxsdir)/$(subdir)/pg_regress'
@@ -67,7 +75,7 @@
 NAME = regress
 SO_MAJOR_VERSION= 0
 SO_MINOR_VERSION= 0
-OBJS = regress.o
+OBJS = regress.o pg_regress.o
 SHLIB_LINK = $(BE_DLLLIBS)
 
 include $(top_srcdir)/src/Makefile.shlib
@@ -141,9 +149,12 @@
 ##
 
 check: all
+	echo bindir: $(bindir)
+	echo datadir: $(datadir)
+	echo libdir: $(libdir)
 	-rm -rf ./testtablespace
 	mkdir ./testtablespace
-	$(SHELL) ./pg_regress --temp-install --top-builddir=$(top_builddir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE)
+	./pg_regress --temp-install --top-builddir=$(top_builddir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql --platform=$(host_tuple) --bindir=$(bindir) --datadir=$(datadir) $(NOLOCALE)
 
 installcheck: all
 	-rm -rf ./testtablespace
